Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorGoalieReturnToGoal Class Reference

A Basic Behavior for returning the goalie to the center of its goal. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorGoalieReturnToGoal:

[legend]
Collaboration diagram for GT2005BasicBehaviorGoalieReturnToGoal:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorGoalieReturnToGoal (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Protected Attributes
double | x
| parameter "goalie-return-to-goal.x"
double | y
| parameter "goalie-return-to-goal.y"
double | maxSpeed
| parameter "goalie-return-to-goal.max-speed"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.

## Detailed Description

A Basic Behavior for returning the goalie to the center of its goal.

Author:
  Tim Laue

Definition at line 738 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorGoalieReturnToGoal::GT2005BasicBehaviorGoalieReturnToGoal | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 746 of file GT2005SimpleBasicBehaviors.h. References Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorGoalieReturnToGoal::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 493 of file GT2005SimpleBasicBehaviors.cpp. References Geometry::angleTo(), fromDegrees(), BallModel::getKnownPosition(), SystemCall::getTimeSince(), MotionRequest::motionType, WalkAccelerationRestrictor::restrictAccelerations(), Pose2D::rotation, WalkAccelerationRestrictor::saveLastWalkParameters(), BallModel::seen, SeenBallState::timeWhenLastSeen, toDegrees(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, and WalkRequest::walkType.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorGoalieReturnToGoal::x`[protected]`

| parameter "goalie-return-to-goal.x" Definition at line 762 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoalieReturnToGoal::y`[protected]`

| parameter "goalie-return-to-goal.y" Definition at line 765 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoalieReturnToGoal::maxSpeed`[protected]`

| parameter "goalie-return-to-goal.max-speed" Definition at line 768 of file GT2005SimpleBasicBehaviors.h.

WalkAccelerationRestrictor GT2005BasicBehaviorGoalieReturnToGoal::accelerationRestrictor`[protected]`

| Restricts the walk acceleration to maximum values. Definition at line 771 of file GT2005SimpleBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp